Subject: Re: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Feb 2024 05:28:31 +0200

> Date: Sun, 18 Feb 2024 20:36:46 +0000
> From: Nick OBrien <[email-masked]>
> Cc: [email-masked]
> 
> I ran the profiler twice: once before the input lag started, and once after.
> Each time, I ran M-x profiler-start RET RET, repeated C-f C-b for roughly 20
> seconds, then ran M-x profiler-stop and M-x profiler-report.
> 
> In the foo buffer before running vc-annotate (no noticeable input delay):
> 
>           44  63% - command-execute
>           44  63%  - byte-code
>           44  63%   - read-extended-command
>           44  63%    - read-extended-command-1
>           44  63%     - completing-read-default
>           13  18%        redisplay_internal (C function)
>           24  34%   redisplay_internal (C function)
>            1   1% - undo-auto--add-boundary
>            1   1%    undo-auto--boundaries
>            0   0%   ...
> 
> In the foo buffer after running vc-annotate, pressing p p n n, and killing the
> vc-annotate buffer (noticeable input delay):
> 
>           43  72% - command-execute
>           42  71%  - byte-code
>           42  71%   - read-extended-command
>           42  71%    - read-extended-command-1
>           42  71%     - completing-read-default
>            4   6%        redisplay_internal (C function)
>            2   3%      - command-execute
>            2   3%         interactive-form
>            1   1%  - funcall-interactively
>            1   1%     execute-extended-command
>           13  22%   redisplay_internal (C function)
>            3   5% - timer-event-handler
>            3   5%  - apply
>            2   3%   - show-paren-function
>            1   1%      show-paren--default
>            1   1%   - #<subr F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_9>
>            1   1%      jit-lock-context-fontify
>            0   0%   ...

Thanks, but I don't see anything here which gives a hint why you see
the lags, nor even evidence that there was a lag.  Maybe try leaning
on a key for 20 seconds, so that the keyboard auto-repeat produces
keypresses at high frequency -- maybe then the profile will tell
something.